# Configuration vars for cmd/app
[app]
name = "Fiber starter"
port = ":8800"
idle-timeout = 5 # As seconds
print-routes = false
prefork = true
production = false
body-limit = 104857600 # "100 * 1024 * 1024"

[db.postgres]
dsn = "postgresql://humas_polri:P@ssw0rd.1@103.82.242.92:5432/humas_polri" # <driver>://<username>:<password>@<host>:<port>/<database>
migrate = false
seed = false

[logger]
log-dir = "debug.log"
time-format = "" # https://pkg.go.dev/time#pkg-constants, https://github.com/rs/zerolog/blob/master/api.go#L10 
level = 0 # panic -> 5, fatal -> 4, error -> 3, warn -> 2, info -> 1, debug -> 0, trace -> -1
prettier = true

[objectstorage.miniostorage]
endpoint = "103.82.242.92:9009"
access-key-id = "A7USQd6iyinj38nDwnFE"
secret-access-key = "rTXDKRL8fhXUOaLDonwYThvDBPgNGPxvReTgfVGR"
use-ssl = false
bucket-name = "humas"
location = "us-east-1"

[middleware.compress]
enable = true
level = 1

[middleware.recover]
enable = true

[middleware.monitor]
enable = false
path = "/monitor"

[middleware.pprof]
enable = true

[middleware.cors]
enable = true

[middleware.limiter]
enable = false
max = 20
expiration_seconds = 60

[keycloak]
endpoint = "http://103.82.242.92:8008"
realm = "humas"
client-id = "humas-app"
client-secret = "8HV15QgqvQyNmisvZBQblQi4d27zys7l"
admin-username = "admin"
admin-password = "P@ssw0rd.1"